Index: org/jivesoftware/smackx/packet/JingleContentInfo.java
===================================================================
--- org/jivesoftware/smackx/packet/JingleContentInfo.java	(révision 11644)
+++ org/jivesoftware/smackx/packet/JingleContentInfo.java	(copie de travail)
@@ -96,7 +96,7 @@
      */
     public static class Audio extends JingleContentInfo {
 
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:apps:rtp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:apps:rtp:1";
 
         public Audio(final ContentInfo mi) {
             super(mi);
Index: org/jivesoftware/smackx/packet/JingleError.java
===================================================================
--- org/jivesoftware/smackx/packet/JingleError.java	(révision 11644)
+++ org/jivesoftware/smackx/packet/JingleError.java	(copie de travail)
@@ -27,7 +27,7 @@
 
 public class JingleError implements PacketExtension {
 
-    public static String NAMESPACE = "urn:xmpp:tmp:jingle:errors";
+    public static String NAMESPACE = "urn:xmpp:jingle:errors:1";
 
     public static final JingleError OUT_OF_ORDER = new JingleError("out-of-order");
 
Index: org/jivesoftware/smackx/packet/JingleTransport.java
===================================================================
--- org/jivesoftware/smackx/packet/JingleTransport.java	(révision 11644)
+++ org/jivesoftware/smackx/packet/JingleTransport.java	(copie de travail)
@@ -270,7 +270,7 @@
      * RTP-ICE profile
      */
     public static class Ice extends JingleTransport {
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:transports:ice-udp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:transports:ice-udp:1";
 
         public Ice() {
             super();
@@ -352,7 +352,7 @@
      * Raw UDP profile.
      */
     public static class RawUdp extends JingleTransport {
-        public static final String NAMESPACE = "http://www.xmpp.org/extensions/xep-0177.html#ns";
+        public static final String NAMESPACE = "urn:xmpp:jingle:transports:raw-udp:1";
 
         public RawUdp() {
             super();
Index: org/jivesoftware/smackx/packet/JingleContentDescription.java
===================================================================
--- org/jivesoftware/smackx/packet/JingleContentDescription.java	(révision 11644)
+++ org/jivesoftware/smackx/packet/JingleContentDescription.java	(copie de travail)
@@ -172,7 +172,7 @@
      */
     public static class Audio extends JingleContentDescription {
 
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:apps:rtp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:apps:rtp:1";
 
         public Audio() {
             super();
Index: org/jivesoftware/smackx/packet/Jingle.java
===================================================================
--- org/jivesoftware/smackx/packet/Jingle.java	(révision 11644)
+++ org/jivesoftware/smackx/packet/Jingle.java	(copie de travail)
@@ -44,7 +44,7 @@
 
     // static
 
-    public static final String NAMESPACE = "urn:xmpp:tmp:jingle";
+    public static final String NAMESPACE = "urn:xmpp:jingle:1";
 
     public static final String NODENAME = "jingle";
 
Index: org/jivesoftware/smackx/packet/JingleDescription.java
===================================================================
--- org/jivesoftware/smackx/packet/JingleDescription.java	(révision 11644)
+++ org/jivesoftware/smackx/packet/JingleDescription.java	(copie de travail)
@@ -179,7 +179,7 @@
      */
     public static class Audio extends JingleDescription {
 
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:apps:rtp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:apps:rtp:1";
 
         public Audio() {
             super();
Index: org/jivesoftware/smackx/jingle/JingleManager.java
===================================================================
--- org/jivesoftware/smackx/jingle/JingleManager.java	(révision 11644)
+++ org/jivesoftware/smackx/jingle/JingleManager.java	(copie de travail)
@@ -255,7 +255,7 @@
      */
     public static void setJingleServiceEnabled() {
         ProviderManager providerManager = ProviderManager.getInstance();
-        providerManager.addIQProvider("jingle", "urn:xmpp:tmp:jingle", new JingleProvider());
+        providerManager.addIQProvider("jingle", "urn:xmpp:jingle:1", new JingleProvider());
 
         // Enable the Jingle support on every established connection
         // The ServiceDiscoveryManager class should have been already
@@ -598,4 +598,4 @@
         }
         return null;
     }
-}
\ No newline at end of file
+}
